org.eclipse.january.dataset

## Class LazyMaths

- java.lang.Object
- - org.eclipse.january.dataset.LazyMaths

-     public final class LazyMaths
      extends Object

  Mathematics class for lazy datasets

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `logger` Setup the logging facilities

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyMaths()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Dataset` | `mean(ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `mean(int start, int stop, ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `product(ILazyDataset data, int axis)`
    `static Dataset` | `sum(ILazyDataset data, boolean ignore, int... axes)`
    `static Dataset` | `sum(ILazyDataset data, int... ignoreAxes)`
    `static Dataset` | `sum(ILazyDataset data, int axis)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.slf4j.Logger logger

      Setup the logging facilities

  - ### Constructor Detail

    - #### LazyMaths

          public LazyMaths()

  - ### Method Detail

    - #### sum

          public static Dataset sum(ILazyDataset data,
                    int axis)
                             throws DatasetException

      Parameters:
        `data` -
        `axis` - (can be negative)
      Returns:
        sum along axis in lazy dataset
      Throws:
        `DatasetException`

    - #### sum

          public static Dataset sum(ILazyDataset data,
                    int... ignoreAxes)
                             throws DatasetException

      Parameters:
        `data` -
        `ignoreAxes` - axes to ignore
      Returns:
        sum when given axes are ignored in lazy dataset
      Throws:
        `DatasetException`
      Since:
        2.0

    - #### sum

          public static Dataset sum(ILazyDataset data,
                    boolean ignore,
                    int... axes)
                             throws DatasetException

      Parameters:
        `data` -
        `ignore` - if true, ignore the provided axes, otherwise use only the provided axes
        `axes` - axes to ignore or accept, depending on the preceding flag
      Returns:
        sum
      Throws:
        `DatasetException`
      Since:
        2.0

    - #### product

          public static Dataset product(ILazyDataset data,
                        int axis)
                                 throws DatasetException

      Parameters:
        `data` -
        `axis` - (can be negative)
      Returns:
        product along axis in lazy dataset
      Throws:
        `DatasetException`

    - #### mean

          public static Dataset mean(int start,
                     int stop,
                     ILazyDataset data,
                     int... ignoreAxes)
                              throws DatasetException

      Parameters:
        `start` -
        `stop` - inclusive
        `data` -
        `ignoreAxes` -
      Returns:
        mean when given axes are ignored in lazy dataset
      Throws:
        `DatasetException`

    - #### mean

          public static Dataset mean(ILazyDataset data,
                     int... ignoreAxes)
                              throws DatasetException

      Throws:
        `DatasetException`

Copyright © 2017. All rights reserved.